( function($) {
		function App() {
			var app = {};
			app.data = {};
			/**
			 * запуск приложения
			 */
			app.init = function() {
				app.buttons();
				app.menu();
				app.search();
			};

			app.buttons = function() {
				$('body').delegate('.searchMainButton','tap', function() {
					$('.searchForm').slideToggle();
					return false;
				});
				$('body').delegate('.casesSearchButton','tap', function() {
					$('.casesSearch').slideToggle();
					$(this).hide();
					return false;
				});
				$('body').delegate('.homeMenuButton','tap', function() {
					$('.menuHolder').slideToggle();
					return false;
				});
				
				$('.button').attr('data-role','button');
				$('.button').attr('data-inline','true');
				$('.button').parent().each(function(){
					if($(this).find('.button').length>1){
						$(this).find('.button').attr('')
					}
				});
			};

			/**
			 * Обработка событий меню
			 */
			app.menu = function() {
				$('body').delegate('.mainMenu li','tap', function() {
					if ($(this).attr('data-children') && $('[data-id="'+$(this).attr('data-children')+'"]').length) {
						$(this).find('.ui-icon').toggleClass('ui-icon-arrow-r');
						$(this).find('.ui-icon').toggleClass('ui-icon-arrow-d');
						$(this).toggleClass('ui-btn-active');
						$('[data-id="'+$(this).attr('data-children')+'"]').slideToggle();
						return false;
					}
				});
			};
			
			app.search=function(){
				$('body').delegate('[name="dateMode"]','change',function(){
                		if($(this).val()==2){
                    		$("[name='dateTo']").parent('div').parent('div').show();                    		
                    		$("[name='dateFrom']").parent('div').parent('div').find('span').show();
                		} else {
                    		$("[name='dateTo']").parent('div').parent('div').hide();                    		
                    		$("[name='dateFrom']").parent('div').prev('span').hide();
                		}
            	});			
        	};

			return app;
		};
		$(document).ready(function () {
    		var app = App();
			app.init();
		});
	}(jQuery));
	
	function ChangeType(sel,form) {
	if(sel.selectedIndex == 0) {
		dealinfo.style.display = "block";
        form.action = "/cases/ccaselist";
	} else {
		dealinfo.style.display = "none";
        form.action = "/cases/cdoclist";
       }	
	}
